Bug 1877671 - multiarch conflicts in libcurl-minimal
Summary: multiarch conflicts in libcurl-minimal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: 32
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1895391
TreeView+ depends on / blocked
 
Reported: 2020-09-10 07:17 UTC by aurhb20
Modified: 2020-11-06 14:48 UTC (History)
5 users (show)

Fixed In Version: curl-7.72.0-2.fc34 curl-7.71.1-7.fc33 curl-7.69.1-6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1895391 (view as bug list)
Environment:
Last Closed: 2020-09-12 16:34:27 UTC
Type: Bug


Attachments (Terms of Use)
[patch] libcurl-multiarch - specify arch in Conflicts (514 bytes, patch)
2020-09-10 07:17 UTC, aurhb20
no flags Details | Diff

Description aurhb20 2020-09-10 07:17:39 UTC
Created attachment 1714385 [details]
[patch] libcurl-multiarch - specify arch in Conflicts

`libcurl-minimal' shall conflict with `libcurl%{?_isa}', instead of `libcurl'.

Otherwise, `libcurl-minimal.x86_64' and `libcurl-minimal.i686' conflicts with each other due to both of them also providing `libcurl'.

Comment 1 Kamil Dudka 2020-09-10 07:31:54 UTC
The proposed patch looks good.  Thanks!  I can push it on your behalf if you tell us your name?

Comment 2 aurhb20 2020-09-10 07:39:24 UTC
This is a trivial patch, and Bugzilla told me to use secondary email, but I'm Jinoh Kang using a Google mail account of jinoh dot kang dot kr should I be responsible for it.

Comment 3 Kamil Dudka 2020-09-10 07:50:48 UTC
No worries about responsibility, just wanted to give you credit for the contribution.

dist-git commit: https://src.fedoraproject.org/rpms/curl/c/4226c316

Comment 4 Kamil Dudka 2020-09-10 08:30:00 UTC
f33 dist-git commit: https://src.fedoraproject.org/rpms/curl/c/54705704
f32 dist-git commit: https://src.fedoraproject.org/rpms/curl/c/2d6d1930

Comment 5 Fedora Update System 2020-09-10 10:06:48 UTC
FEDORA-2020-ca78b371b3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ca78b371b3

Comment 6 Fedora Update System 2020-09-10 10:06:48 UTC
FEDORA-2020-922966ff13 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-922966ff13

Comment 7 Fedora Update System 2020-09-10 15:49:05 UTC
FEDORA-2020-922966ff13 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-922966ff13`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-922966ff13

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-10 18:26:11 UTC
FEDORA-2020-ca78b371b3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ca78b371b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ca78b371b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-12 16:34:27 UTC
FEDORA-2020-ca78b371b3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-09-25 16:54:37 UTC
FEDORA-2020-922966ff13 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.